name: ghc-boot
version: 8.0.1
id: ghc-boot-8.0.1
key: ghc-boot-8.0.1
license: BSD3
maintainer: ghc-devs@haskell.org
synopsis: Shared functionality between GHC and its boot libraries
description:
    This library is shared between GHC, ghc-pkg, and other boot
    libraries.
    .
    A note about "GHC.PackageDb": it only deals with the subset of
    the package database that the compiler cares about: modules
    paths etc and not package metadata like description, authors
    etc. It is thus not a library interface to ghc-pkg and is *not*
    suitable for modifying GHC package databases.
    .
    The package database format and this library are constructed in
    such a way that while ghc-pkg depends on Cabal, the GHC library
    and program do not have to depend on Cabal.
category: GHC
exposed: True
exposed-modules:
    GHC.LanguageExtensions GHC.LanguageExtensions.Type GHC.Lexeme
    GHC.PackageDb GHC.Serialized
abi: a7be2c6f98b3f3a2432bb3d17b59d75a
trusted: False
import-dirs: /opt/ghc-8.0.1/lib/ghc-8.0.1/ghc-boot-8.0.1
library-dirs: /opt/ghc-8.0.1/lib/ghc-8.0.1/ghc-boot-8.0.1
data-dir: /opt/ghc-8.0.1/share/x86_64-linux-ghc-8.0.1/ghc-boot-8.0.1
hs-libraries: HSghc-boot-8.0.1
depends:
    base-4.9.0.0 binary-0.8.3.0 bytestring-0.10.8.1 directory-1.2.6.2
    filepath-1.4.1.0 ghc-boot-th-8.0.1
haddock-interfaces: /opt/ghc-8.0.1/share/doc/ghc-8.0.1/html/libraries/ghc-boot-8.0.1/ghc-boot.haddock
haddock-html: /opt/ghc-8.0.1/share/doc/ghc-8.0.1/html/libraries/ghc-boot-8.0.1
